unit AboutBox;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls;

type

  { TfrmAboutBox }

  TfrmAboutBox = class(TForm)
    Button1: TButton;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  frmAboutBox: TfrmAboutBox;

implementation

{$R *.lfm}

{ TfrmAboutBox }

procedure TfrmAboutBox.FormClose(Sender: TObject; var CloseAction: TCloseAction
  );
begin
  {$IFDEF DARWIN}
    CloseAction := caFree;
    frmAboutBox := nil;
  {$ENDIF}
end;

procedure TfrmAboutBox.FormCreate(Sender: TObject);
begin
  // According to the Apple guidelines, About Boxes do not have a 'close' button
  {$IFDEF DARWIN}
    Button1.Visible:=False;
  {$ENDIF}
end;

procedure TfrmAboutBox.Button1Click(Sender: TObject);
begin
  Close;
end;

end.

